import type { EventObject, EventState } from "../../types/events";
export declare enum FormStateActionType {
    setCalendarId = "setCalendarId",
    setPrivate = "setPrivate",
    setAllday = "setAllday",
    setState = "setState"
}
declare type FormStateAction = {
    type: FormStateActionType.setCalendarId;
    calendarId: string;
} | {
    type: FormStateActionType.setPrivate;
    isPrivate: boolean;
} | {
    type: FormStateActionType.setAllday;
    isAllday: boolean;
} | {
    type: FormStateActionType.setState;
    state: EventState;
};
export declare type FormStateDispatcher = (action: FormStateAction) => void;
export declare function useFormState(initialState: EventObject): [EventObject, (action: FormStateAction) => void];
export {};
