import type EventUIModel from "../model/eventUIModel";
import type TZDate from "../time/date";
import type { GridUIModel } from "../types/grid";
import type { Template, TemplateConfig } from "../types/template";
export declare function registerTemplateConfig(templateConfig?: TemplateConfig): Template;
/**
 * Get hhmm formatted time str
 * @param {TZDate} date - date object
 * @returns {string} formatted value
 */
export declare function getHhmm(date: TZDate): string;
/**
 * Get `width` stylesheet string
 * @param {number} width - width percentage
 * @returns {string} css style part
 */
export declare function getCommonWidth(width: number | string): string;
/**
 * Get element left based on narrowWeekend
 * @param {EventUIModel} uiModel - ui model
 * @param {Array} grids - dates information
 * @returns {number} element left
 */
export declare function getGridLeft(uiModel: EventUIModel, grids: GridUIModel[]): number;
/**
 * Get element width based on narrowWeekend
 * @param {EventUIModel} uiModel - ui model
 * @param {Array} grids - dates information
 * @returns {number} element width
 */
export declare function getGridWidth(uiModel: EventUIModel, grids: GridUIModel[]): number;
/**
 * Use in time.hbs
 * @param {EventUIModel} uiModel ui model
 * @returns {string} element size css class
 */
export declare function getTimeEventBlock(uiModel: EventUIModel): string;
export declare function getMonthEventBlock(uiModel: EventUIModel, grids: GridUIModel[], blockHeight: number, paddingTop: number): string;
export declare function getHolidayClass(day: number): string;
export declare function getRight(a: number, b: number): number;
