import { render as ptlRender } from '@testing-library/preact';
import type { Callback } from '@testing-library/preact-hooks/lib/_types';
import type { RenderHookOptions } from '@testing-library/preact-hooks/lib/renderHook';
import type { EventBus } from "../utils/eventBus";
import type { ClientMousePosition } from "../types/mouse";
import type { CalendarStore, InternalStoreAPI } from "../types/store";
import type { ThemeStore } from "../types/theme";
import type { FormattedTimeString } from "../types/time/datetime";
declare function render(component: Parameters<typeof ptlRender>[0], { eventBus, store, theme, ...options }?: Parameters<typeof ptlRender>[1] & Partial<{
    eventBus: EventBus<Record<string, any>>;
    store: InternalStoreAPI<CalendarStore>;
    theme: InternalStoreAPI<ThemeStore>;
}>): import("@testing-library/preact").RenderResult<typeof import("@testing-library/dom/types/queries")>;
declare function renderHook<P, R>(hook: Callback<P, R>, { eventBus, store, theme, ...options }?: RenderHookOptions<P> & Partial<{
    eventBus: EventBus<any>;
    store: InternalStoreAPI<CalendarStore>;
    theme: InternalStoreAPI<ThemeStore>;
}>): {
    wait: (callback: () => any, options?: import("@testing-library/preact-hooks/lib/asyncUtils").TimeoutOptions | undefined) => Promise<void>;
    waitFor: (callback: () => any, { interval, timeout, suppressErrors }?: import("@testing-library/preact-hooks/lib/asyncUtils").TimeoutOptions | undefined) => Promise<void>;
    waitForNextUpdate: (options?: import("@testing-library/preact-hooks/lib/asyncUtils").TimeoutOptions | undefined) => Promise<void>;
    waitForValueToChange: (selector: () => any, options?: import("@testing-library/preact-hooks/lib/asyncUtils").TimeoutOptions | undefined) => Promise<void>;
    result: {
        readonly current: R | undefined;
        readonly error: Error;
    };
    rerender: (newProps?: P | undefined) => void;
    unmount: () => void;
};
export declare function dragAndDrop({ element, initPosition, targetPosition, hold, }: {
    element: HTMLElement;
    targetPosition: ClientMousePosition;
    initPosition?: ClientMousePosition;
    hold?: boolean;
}): void;
export declare function hasDesiredStartTime(el: HTMLElement, startTimeStr: FormattedTimeString): boolean;
export * from '@testing-library/preact';
export { render, renderHook };
